Subject: bug#13322: 24.3.50; `completion-all-sorted-completions': sorting and duplicate deletion

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Jan 2013 12:02:41 -0500

> 1. Please provide for `completion-all-sorted-completions' to sort using
> a function other than what is returned by `cycle-sort-function' from the
> metadata.  E.g., an optional arg SORT-FUN.
 
> 2. Please make duplicate deletion optional.  E.g., an optional arg
> DONT-REMOVE-DUPS.

Since the completion-all-sorted-completions function just returns the
value of the completion-all-sorted-completions cache when that cache is
populated, it clearly can't take arguments since they'd not always
be obeyed.

        Stefan